Create flag link

Create a new flag link. Flag links let you reference external resources and associate them with your flags.

Authentication

Authorizationstring
API Key authentication via header

Path parameters

projectKeystringRequiredformat: "string"
The project key
featureFlagKeystringRequiredformat: "string"
The feature flag key

Request

This endpoint expects an object.
keystringOptional
The flag link key
integrationKeystringOptional

The integration key for an integration whose manifest.json includes the flagLink capability, if this is a flag link for an existing integration. Do not include for URL flag links.

timestamplongOptional
The time, in Unix milliseconds, to mark this flag link as associated with the external URL. If omitted, defaults to the creation time of this flag link.
titlestringOptional
The title of the flag link
descriptionstringOptional
The description of the flag link
metadatamap from strings to stringsOptional

The metadata required by this integration in order to create a flag link, if this is a flag link for an existing integration. Defined in the integration’s manifest.json file under flagLink.

Response

Flag link response
_idstring
The ID of this flag link
_timestampobject
The time to mark this flag link as associated with the external URL. Defaults to the creation time of the flag link, but can be set to another time during creation.
_createdAtlong
Timestamp of when the flag link was created
_keystring
The flag link key
_integrationKeystring

The integration key for an integration whose manifest.json includes the flagLink capability, if this is a flag link for an existing integration

titlestring
The title of the flag link
descriptionstring
The description of the flag link
_metadatamap from strings to strings

The metadata required by this integration in order to create a flag link, if this is a flag link for an existing integration. Defined in the integration’s manifest.json file under flagLink.

_memberobject
Details on the member associated with this flag link

Errors

400
Bad Request Error
401
Unauthorized Error
403
Forbidden Error
404
Not Found Error
429
Too Many Requests Error